View Issue Details

IDProjectCategoryView StatusLast Update
0005202SOGoSOPEpublic2020-11-02 11:08
Reporterhelmut72 Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformaarch64OSDebianOS Version10
Product Version5.0.1 
Fixed in Version5.0.2 
Summary0005202: SOPE does not compile on Debian ARM platform
Description

creating: /opt/sope-SOPE-5.0.1/config.make
optional library found: xml2
optional library found: ldap
optional library found: ssl
optional library found: pq
failed to link optional library: mysqlclient
configuring NGStreams library .../config.guess: unable to guess system type

This script, last modified 2009-12-30, has failed to recognize
the operating system you are using. It is advised that you
download the most up to date version of the config scripts from

http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.guess;hb=HEAD
and
http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.sub;hb=HEAD

If the version you run (./config.guess) is already up to date, please
send the following data and any information you think might be
pertinent to <config-patches@gnu.org> in order to provide the needed
information to handle your system.

config.guess timestamp = 2009-12-30

uname -m = aarch64
uname -r = 5.4.72-v8+
uname -s = Linux
uname -v = 0001356 SMP PREEMPT Thu Oct 22 13:58:52 BST 2020

/usr/bin/uname -p =
/bin/uname -X =

hostinfo =
/bin/universe =
/usr/bin/arch -k =
/bin/arch =
/usr/bin/oslevel =
/usr/convex/getsysinfo =

UNAME_MACHINE = aarch64
UNAME_RELEASE = 5.4.72-v8+
UNAME_SYSTEM = Linux
UNAME_VERSION = 0001356 SMP PREEMPT Thu Oct 22 13:58:52 BST 2020
configure: error: cannot guess build type; you must specify one

Steps To Reproduce

compile SOPE on Debian 10 aarch64

Additional Information

Adding this line to my Dockerfile fix the problem:

wget 'http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.guess;hb=HEAD' -O ./sope-core/NGStreams/config.guess

TagsNo tags attached.

Issue History

Date Modified Username Field Change
2020-11-01 03:35 helmut72 New Issue
2020-11-02 10:58 francis Additional Information Updated View Revisions
2020-11-02 11:08 francis Assigned To => francis
2020-11-02 11:08 francis Status new => resolved
2020-11-02 11:08 francis Resolution open => fixed
2020-11-02 11:08 francis Fixed in Version => 5.0.2
2020-11-02 11:08 francis Note Added: 0014914